BdbService.AsyncIface (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.thrift

## Interface BdbService.AsyncIface

- All Known Implementing Classes:
    BdbService.AsyncClient
  Enclosing class:
    BdbService

      public static interface BdbService.AsyncIface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `beginTransaction(TEnvironment env, TTransaction parent, TTransactionConfig config, org.apache.thrift.async.AsyncMethodCallback<TTransaction> resultHandler)`
    `void` | `checkpoint(TEnvironment env, int kbytes, int min, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeCursorHandle(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeDatabaseHandle(TDatabase db, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeDatabaseHandles(java.lang.String envHomeDir, java.lang.String fileName, java.lang.String databaseName, long minIdleInMilli, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeEnvironmentHandle(TEnvironment env, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeEnvironmentHandles(java.lang.String homeDir, long minIdleInMilli, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeJoinCursorHandle(TJoinCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `closeSequenceHandle(TSequence seq, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `cursorCompare(TCursor cursor1, TCursor cursor2, org.apache.thrift.async.AsyncMethodCallback<java.lang.Short> resultHandler)`
    `void` | `cursorCount(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `cursorDelete(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `cursorDup(TCursor cursor, boolean samePos, org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)`
    `void` | `cursorGet(TCursor cursor, TKeyData keyData, TCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `cursorGetWithPKey(TCursor cursor, TKeyDataWithPKey keyPKey, TCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)`
    `void` | `cursorPut(TCursor cursor, TKeyDataWithSecondaryKeys pair, TCursorPutConfig config, org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)`
    `void` | `dbCompact(TDatabase db, TTransaction txn, TDbt start, TDbt stop, TCompactConfig config, org.apache.thrift.async.AsyncMethodCallback<TCompactResult> resultHandler)`
    `void` | `dbDelete(TDatabase db, TTransaction txn, java.util.List<TKeyData> keyOrPairs, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `dbGet(TDatabase db, TTransaction txn, TKeyData keyData, TDbGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `dbGetWithPKey(TDatabase sdb, TTransaction txn, TKeyDataWithPKey keyPKey, TDbGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)`
    `void` | `dbKeyExists(TDatabase db, TTransaction txn, TDbt key, org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)`
    `void` | `dbKeyRange(TDatabase db, TTransaction txn, TDbt key, org.apache.thrift.async.AsyncMethodCallback<TKeyRangeResult> resultHandler)`
    `void` | `dbPut(TDatabase db, TTransaction txn, java.util.List<TKeyDataWithSecondaryKeys> pairs, TDbPutConfig config, org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)`
    `void` | `dbTruncate(TDatabase db, TTransaction txn, boolean countRecords, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `deleteEnvironmentAndDatabases(java.lang.String homeDir, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `getBdbVersion(org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)`
    `void` | `getCursorCachePriority(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler)`
    `void` | `getCursorConfig(TCursor cursor, org.apache.thrift.async.AsyncMethodCallback<TCursorConfig> resultHandler)`
    `void` | `getDatabaseConfig(TDatabase db, org.apache.thrift.async.AsyncMethodCallback<TDatabaseConfig> resultHandler)`
    `void` | `getDatabaseStatistics(TDatabase db, TTransaction txn, boolean fast, org.apache.thrift.async.AsyncMethodCallback<TDatabaseStatResult> resultHandler)`
    `void` | `getEnvironmentConfig(TEnvironment env, org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)`
    `void` | `getEnvStatistics(TEnvironment env, TEnvStatConfig config, org.apache.thrift.async.AsyncMethodCallback<TEnvStatResult> resultHandler)`
    `void` | `isProtocolVersionSupported(java.lang.String clientVersion, org.apache.thrift.async.AsyncMethodCallback<TProtocolVersionTestResult> resultHandler)`
    `void` | `joinCursorGet(TJoinCursor cursor, TJoinCursorGetConfig config, org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)`
    `void` | `openCursor(TDatabase db, TTransaction txn, TCursorConfig cursorConfig, org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)`
    `void` | `openDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, TDatabaseConfig dbConfig, org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)`
    `void` | `openEnvironment(java.lang.String homeDir, TEnvironmentConfig envConfig, org.apache.thrift.async.AsyncMethodCallback<TEnvironment> resultHandler)`
    `void` | `openJoinCursor(TDatabase pdb, java.util.List<TCursor> scursors, boolean sortCursors, org.apache.thrift.async.AsyncMethodCallback<TJoinCursor> resultHandler)`
    `void` | `openSecondaryDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, TDatabase primaryDb, TSecondaryDatabaseConfig sdbConfig, org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)`
    `void` | `openSequence(TDatabase db, TTransaction txn, TDbt key, TSequenceConfig config, org.apache.thrift.async.AsyncMethodCallback<TSequence> resultHandler)`
    `void` | `ping(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `removeDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `removeSequence(TDatabase db, TTransaction txn, TDbt key, boolean isAutoCommitNoSync, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `renameDatabase(TEnvironment env, TTransaction txn, java.lang.String fileName, java.lang.String databaseName, java.lang.String newName, boolean force, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `sequenceGet(TSequence seq, TTransaction txn, int delta, org.apache.thrift.async.AsyncMethodCallback<java.lang.Long> resultHandler)`
    `void` | `setCursorCachePriority(TCursor cursor, TCachePriority priority, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `setDatabaseConfig(TDatabase db, TDatabaseConfig dbConfig, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `setEnvironmentConfig(TEnvironment env, TEnvironmentConfig envConfig, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `shutdown(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnAbort(TTransaction txn, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnCommit(TTransaction txn, TDurabilityPolicy durability, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`
    `void` | `txnGetPriority(TTransaction txn, org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)`
    `void` | `txnSetPriority(TTransaction txn, int priority, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`

- - ### Method Detail

    - #### ping

          void ping(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### isProtocolVersionSupported

          void isProtocolVersionSupported(java.lang.String clientVersion,
                                          org.apache.thrift.async.AsyncMethodCallback<TProtocolVersionTestResult> resultHandler)
                                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getBdbVersion

          void getBdbVersion(org.apache.thrift.async.AsyncMethodCallback<java.lang.String> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### shutdown

          void shutdown(org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openEnvironment

          void openEnvironment(java.lang.String homeDir,
                               TEnvironmentConfig envConfig,
                               org.apache.thrift.async.AsyncMethodCallback<TEnvironment> resultHandler)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeEnvironmentHandle

          void closeEnvironmentHandle(TEnvironment env,
                                      org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                               throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeEnvironmentHandles

          void closeEnvironmentHandles(java.lang.String homeDir,
                                       long minIdleInMilli,
                                       org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### deleteEnvironmentAndDatabases

          void deleteEnvironmentAndDatabases(java.lang.String homeDir,
                                             boolean force,
                                             org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getEnvironmentConfig

          void getEnvironmentConfig(TEnvironment env,
                                    org.apache.thrift.async.AsyncMethodCallback<TEnvironmentConfig> resultHandler)
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### setEnvironmentConfig

          void setEnvironmentConfig(TEnvironment env,
                                    TEnvironmentConfig envConfig,
                                    org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### removeDatabase

          void removeDatabase(TEnvironment env,
                              TTransaction txn,
                              java.lang.String fileName,
                              java.lang.String databaseName,
                              boolean force,
                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### renameDatabase

          void renameDatabase(TEnvironment env,
                              TTransaction txn,
                              java.lang.String fileName,
                              java.lang.String databaseName,
                              java.lang.String newName,
                              boolean force,
                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### checkpoint

          void checkpoint(TEnvironment env,
                          int kbytes,
                          int min,
                          boolean force,
                          org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openDatabase

          void openDatabase(TEnvironment env,
                            TTransaction txn,
                            java.lang.String fileName,
                            java.lang.String databaseName,
                            TDatabaseConfig dbConfig,
                            org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)
                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openSecondaryDatabase

          void openSecondaryDatabase(TEnvironment env,
                                     TTransaction txn,
                                     java.lang.String fileName,
                                     java.lang.String databaseName,
                                     TDatabase primaryDb,
                                     TSecondaryDatabaseConfig sdbConfig,
                                     org.apache.thrift.async.AsyncMethodCallback<TDatabase> resultHandler)
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeDatabaseHandle

          void closeDatabaseHandle(TDatabase db,
                                   org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                            throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeDatabaseHandles

          void closeDatabaseHandles(java.lang.String envHomeDir,
                                    java.lang.String fileName,
                                    java.lang.String databaseName,
                                    long minIdleInMilli,
                                    org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                             throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getDatabaseConfig

          void getDatabaseConfig(TDatabase db,
                                 org.apache.thrift.async.AsyncMethodCallback<TDatabaseConfig> resultHandler)
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### setDatabaseConfig

          void setDatabaseConfig(TDatabase db,
                                 TDatabaseConfig dbConfig,
                                 org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbGet

          void dbGet(TDatabase db,
                     TTransaction txn,
                     TKeyData keyData,
                     TDbGetConfig config,
                     org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbGetWithPKey

          void dbGetWithPKey(TDatabase sdb,
                             TTransaction txn,
                             TKeyDataWithPKey keyPKey,
                             TDbGetConfig config,
                             org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbPut

          void dbPut(TDatabase db,
                     TTransaction txn,
                     java.util.List<TKeyDataWithSecondaryKeys> pairs,
                     TDbPutConfig config,
                     org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)
              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbDelete

          void dbDelete(TDatabase db,
                        TTransaction txn,
                        java.util.List<TKeyData> keyOrPairs,
                        org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbKeyExists

          void dbKeyExists(TDatabase db,
                           TTransaction txn,
                           TDbt key,
                           org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbKeyRange

          void dbKeyRange(TDatabase db,
                          TTransaction txn,
                          TDbt key,
                          org.apache.thrift.async.AsyncMethodCallback<TKeyRangeResult> resultHandler)
                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbCompact

          void dbCompact(TDatabase db,
                         TTransaction txn,
                         TDbt start,
                         TDbt stop,
                         TCompactConfig config,
                         org.apache.thrift.async.AsyncMethodCallback<TCompactResult> resultHandler)
                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### dbTruncate

          void dbTruncate(TDatabase db,
                          TTransaction txn,
                          boolean countRecords,
                          org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openCursor

          void openCursor(TDatabase db,
                          TTransaction txn,
                          TCursorConfig cursorConfig,
                          org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)
                   throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeCursorHandle

          void closeCursorHandle(TCursor cursor,
                                 org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getCursorConfig

          void getCursorConfig(TCursor cursor,
                               org.apache.thrift.async.AsyncMethodCallback<TCursorConfig> resultHandler)
                        throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getCursorCachePriority

          void getCursorCachePriority(TCursor cursor,
                                      org.apache.thrift.async.AsyncMethodCallback<TCachePriority> resultHandler)
                               throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### setCursorCachePriority

          void setCursorCachePriority(TCursor cursor,
                                      TCachePriority priority,
                                      org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                               throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorGet

          void cursorGet(TCursor cursor,
                         TKeyData keyData,
                         TCursorGetConfig config,
                         org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorGetWithPKey

          void cursorGetWithPKey(TCursor cursor,
                                 TKeyDataWithPKey keyPKey,
                                 TCursorGetConfig config,
                                 org.apache.thrift.async.AsyncMethodCallback<TGetWithPKeyResult> resultHandler)
                          throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorPut

          void cursorPut(TCursor cursor,
                         TKeyDataWithSecondaryKeys pair,
                         TCursorPutConfig config,
                         org.apache.thrift.async.AsyncMethodCallback<TPutResult> resultHandler)
                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorDelete

          void cursorDelete(TCursor cursor,
                            org.apache.thrift.async.AsyncMethodCallback<TOperationStatus> resultHandler)
                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorDup

          void cursorDup(TCursor cursor,
                         boolean samePos,
                         org.apache.thrift.async.AsyncMethodCallback<TCursor> resultHandler)
                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorCompare

          void cursorCompare(TCursor cursor1,
                             TCursor cursor2,
                             org.apache.thrift.async.AsyncMethodCallback<java.lang.Short> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### cursorCount

          void cursorCount(TCursor cursor,
                           org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openJoinCursor

          void openJoinCursor(TDatabase pdb,
                              java.util.List<TCursor> scursors,
                              boolean sortCursors,
                              org.apache.thrift.async.AsyncMethodCallback<TJoinCursor> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeJoinCursorHandle

          void closeJoinCursorHandle(TJoinCursor cursor,
                                     org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### joinCursorGet

          void joinCursorGet(TJoinCursor cursor,
                             TJoinCursorGetConfig config,
                             org.apache.thrift.async.AsyncMethodCallback<TGetResult> resultHandler)
                      throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### beginTransaction

          void beginTransaction(TEnvironment env,
                                TTransaction parent,
                                TTransactionConfig config,
                                org.apache.thrift.async.AsyncMethodCallback<TTransaction> resultHandler)
                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### txnAbort

          void txnAbort(TTransaction txn,
                        org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                 throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### txnCommit

          void txnCommit(TTransaction txn,
                         TDurabilityPolicy durability,
                         org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                  throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### txnGetPriority

          void txnGetPriority(TTransaction txn,
                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Integer> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### txnSetPriority

          void txnSetPriority(TTransaction txn,
                              int priority,
                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### openSequence

          void openSequence(TDatabase db,
                            TTransaction txn,
                            TDbt key,
                            TSequenceConfig config,
                            org.apache.thrift.async.AsyncMethodCallback<TSequence> resultHandler)
                     throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### closeSequenceHandle

          void closeSequenceHandle(TSequence seq,
                                   org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                            throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### removeSequence

          void removeSequence(TDatabase db,
                              TTransaction txn,
                              TDbt key,
                              boolean isAutoCommitNoSync,
                              boolean force,
                              org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
                       throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### sequenceGet

          void sequenceGet(TSequence seq,
                           TTransaction txn,
                           int delta,
                           org.apache.thrift.async.AsyncMethodCallback<java.lang.Long> resultHandler)
                    throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getEnvStatistics

          void getEnvStatistics(TEnvironment env,
                                TEnvStatConfig config,
                                org.apache.thrift.async.AsyncMethodCallback<TEnvStatResult> resultHandler)
                         throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

    - #### getDatabaseStatistics

          void getDatabaseStatistics(TDatabase db,
                                     TTransaction txn,
                                     boolean fast,
                                     org.apache.thrift.async.AsyncMethodCallback<TDatabaseStatResult> resultHandler)
                              throws org.apache.thrift.TException

      Throws:
        `org.apache.thrift.TException`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.